from fermiinstallclass import FermiInstallClass 

class InstallClass(FermiInstallClass):
    name = ("OSS Workgroup upgrade")
    pixmap = "oss.up.png"
    sortPriority = 10

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
	self.setGroups(["OSS"])
        self.installType = "upgrade"
	self.addToSkipList("bootdisk")
	self.addToSkipList("language")
	self.addToSkipList("languagesupport")
	self.addToSkipList("languagedefault")
	self.addToSkipList("keyboard")
        self.addToSkipList("welcome")
        self.addToSkipList("package-selection")
        self.addToSkipList("lilo")
        self.addToSkipList("network")
